import { StudentCourses } from 'src/schemas/studentCourses.schema';
import { StudentCoursesService } from 'src/services/studentCourses.service';
export declare class StudentCoursesController {
    private readonly studentCoursesService;
    constructor(studentCoursesService: StudentCoursesService);
    create(studentCourses: StudentCourses): Promise<StudentCourses>;
    getByStudentId(studentId: string): Promise<StudentCourses[]>;
    getByCourseId(courseId: string): Promise<StudentCourses[]>;
}
