import mongoose, { HydratedDocument } from "mongoose";
import { User } from "./user.schema";
import { Course } from "./course.schema";
import { Lesson } from "./lesson.schema";
export type CourseProgressDocument = HydratedDocument<CourseProgress>;
export declare class CourseProgress {
    studentId: User;
    studentName: string;
    courseId: Course;
    lessonId: Lesson;
    timespan: number;
    isViewCompleted: boolean;
    createdAt: Date;
    updatedAt: Date;
}
export declare const CourseProgressSchema: mongoose.Schema<CourseProgress, mongoose.Model<CourseProgress, any, any, any, mongoose.Document<unknown, any, CourseProgress> & CourseProgress & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, CourseProgress, mongoose.Document<unknown, {}, mongoose.FlatRecord<CourseProgress>> & mongoose.FlatRecord<CourseProgress> & {
    _id: mongoose.Types.ObjectId;
}>;
