import mongoose, { HydratedDocument } from "mongoose";
import { Lesson } from "./lesson.schema";
export type QuestionDocument = HydratedDocument<Question>;
export declare class Question {
    questionName: string;
    lessonId: Lesson;
    lessonName: string;
    answerOptions: string;
    correctAnswer: string;
    info: string;
    createdAt: Date;
    updatedAt: Date;
}
export declare const QuestionSchema: mongoose.Schema<Question, mongoose.Model<Question, any, any, any, mongoose.Document<unknown, any, Question> & Question & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Question, mongoose.Document<unknown, {}, mongoose.FlatRecord<Question>> & mongoose.FlatRecord<Question> & {
    _id: mongoose.Types.ObjectId;
}>;
