import mongoose, { HydratedDocument } from "mongoose";
import { User } from "./user.schema";
import { Course } from "./course.schema";
export type EnrollmentsDocument = HydratedDocument<Enrollments>;
export declare class Enrollments {
    studentId: User;
    studentName: string;
    courseId: Course;
    courseName: string;
    instructorId: string;
    organizationId: string;
    instructorName: string;
    studentMobileNumber: string;
    amount: number;
    transactionType: string;
    isAmountPaid: boolean;
    status: string;
    enrollmentDate: Date;
    createdAt: Date;
    updatedAt: Date;
}
export declare const EnrollmentsSchema: mongoose.Schema<Enrollments, mongoose.Model<Enrollments, any, any, any, mongoose.Document<unknown, any, Enrollments> & Enrollments & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Enrollments, mongoose.Document<unknown, {}, mongoose.FlatRecord<Enrollments>> & mongoose.FlatRecord<Enrollments> & {
    _id: mongoose.Types.ObjectId;
}>;
