import mongoose, { HydratedDocument } from "mongoose";
import { Course } from "./course.schema";
import { User } from "./user.schema";
import { Enrollments } from "./enrollments.schema";
export type StudentCoursesDocument = HydratedDocument<StudentCourses>;
export declare class StudentCourses {
    courseId: Course;
    courseName: string;
    studentId: User;
    studentName: string;
    enrollmentsId: Enrollments;
    createdAt: Date;
    updatedAt: Date;
}
export declare const StudentCoursesSchema: mongoose.Schema<StudentCourses, mongoose.Model<StudentCourses, any, any, any, mongoose.Document<unknown, any, StudentCourses> & StudentCourses & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, StudentCourses, mongoose.Document<unknown, {}, mongoose.FlatRecord<StudentCourses>> & mongoose.FlatRecord<StudentCourses> & {
    _id: mongoose.Types.ObjectId;
}>;
